Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# PortableInterceptor::ServerRequestInfo Interface Reference

`#include <ServerRequestInfoC.h>`

Inheritance diagram for PortableInterceptor::ServerRequestInfo:

[legend]
Collaboration diagram for PortableInterceptor::ServerRequestInfo:

[legend]
List of all members.

## Public Types
typedef ServerRequestInfo_ptr | _ptr_type
typedef ServerRequestInfo_var | _var_type
## Public Member Functions
CORBA::Policy | get_server_policy (in CORBA::PolicyType type)
void | set_slot (in SlotId id, in any data) raises (InvalidSlot)
boolean | target_is_a (in CORBA::RepositoryId id)
void | add_reply_service_context (in IOP::ServiceContext service_context, in boolean replace)
virtual ::CORBA::Any * | sending_exception ()=0 throw ( ::CORBA::SystemException )
virtual char * | server_id ()=0 throw ( ::CORBA::SystemException )
virtual char * | orb_id ()=0 throw ( ::CORBA::SystemException )
virtual ::PortableInterceptor::AdapterName * | adapter_name ()=0 throw ( ::CORBA::SystemException )
virtual ::PortableInterceptor::ObjectId * | object_id ()=0 throw ( ::CORBA::SystemException )
virtual ::CORBA::OctetSeq * | adapter_id ()=0 throw ( ::CORBA::SystemException )
virtual char * | target_most_derived_interface ()=0 throw ( ::CORBA::SystemException )
virtual ::CORBA::Policy_ptr | get_server_policy (::CORBA::PolicyType type)=0 throw ( ::CORBA::SystemException )
virtual void | set_slot (::PortableInterceptor::SlotId id, const ::CORBA::Any &data)=0 throw ( ::CORBA::SystemException, ::PortableInterceptor::InvalidSlot )
virtual ::CORBA::Boolean | target_is_a (const char *id)=0 throw ( ::CORBA::SystemException )
virtual void | add_reply_service_context (const ::IOP::ServiceContext &service_context,::CORBA::Boolean replace)=0 throw ( ::CORBA::SystemException )
virtual ::CORBA::Boolean | _is_a (const char *type_id)
virtual const char * | _interface_repository_id (void) const
virtual ::CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Member Functions
ServerRequestInfo_ptr | _duplicate (ServerRequestInfo_ptr obj)
void | _tao_release (ServerRequestInfo_ptr obj)
ServerRequestInfo_ptr | _narrow (::CORBA::Object_ptr obj)
ServerRequestInfo_ptr | _unchecked_narrow (::CORBA::Object_ptr obj)
ServerRequestInfo_ptr | _nil (void)
## Public Attributes
readonly attribute any | sending_exception
readonly attribute ServerId | server_id
readonly attribute ORBId | orb_id
readonly attribute AdapterName | adapter_name
readonly attribute ObjectId | object_id
readonly attribute CORBA::OctetSeq | adapter_id
readonly attribute CORBA::RepositoryId | target_most_derived_interface
## Protected Member Functions
| ServerRequestInfo (void)
virtual | ~ServerRequestInfo (void)
## Private Member Functions
| ServerRequestInfo (const ServerRequestInfo &)
void | operator= (const ServerRequestInfo &)

## Member Typedef Documentation

typedef ServerRequestInfo_ptr PortableInterceptor::ServerRequestInfo::_ptr_type

typedef ServerRequestInfo_var PortableInterceptor::ServerRequestInfo::_var_type

## Constructor & Destructor Documentation

PortableInterceptor::ServerRequestInfo::ServerRequestInfo | ( | void |  | ) | `[protected]`

PortableInterceptor::ServerRequestInfo::~ServerRequestInfo | ( | void |  | ) | `[protected, virtual]`

PortableInterceptor::ServerRequestInfo::ServerRequestInfo | ( | const ServerRequestInfo & |  | ) | `[private]`

## Member Function Documentation

PortableInterceptor::ServerRequestInfo_ptr PortableInterceptor::ServerRequestInfo::_duplicate | ( | ServerRequestInfo_ptr | obj | ) | `[static]`

const char * PortableInterceptor::ServerRequestInfo::_interface_repository_id | ( | void |  | ) | const`[virtual]`

virtual ::CORBA::Boolean PortableInterceptor::ServerRequestInfo::_is_a | ( | const char * | type_id | ) |

ServerRequestInfo_ptr PortableInterceptor::ServerRequestInfo::_narrow | ( | ::CORBA::Object_ptr | obj | ) | `[static]`

ServerRequestInfo_ptr PortableInterceptor::ServerRequestInfo::_nil | ( | void |  | ) | `[inline, static]`

void PortableInterceptor::ServerRequestInfo::_tao_release | ( | ServerRequestInfo_ptr | obj | ) | `[static]`

ServerRequestInfo_ptr PortableInterceptor::ServerRequestInfo::_unchecked_narrow | ( | ::CORBA::Object_ptr | obj | ) | `[static]`

virtual ::CORBA::OctetSeq* PortableInterceptor::ServerRequestInfo::adapter_id | ( |  | ) | throw ( ::CORBA::SystemException )`[pure virtual]`

| Implemented in TAO::ServerRequestInfo.

virtual ::PortableInterceptor::AdapterName* PortableInterceptor::ServerRequestInfo::adapter_name | ( |  | ) | throw ( ::CORBA::SystemException )`[pure virtual]`

| Implemented in TAO::ServerRequestInfo.

virtual void PortableInterceptor::ServerRequestInfo::add_reply_service_context | ( | const ::IOP::ServiceContext & | service_context,
|  | ::CORBA::Boolean | replace
| ) | throw ( ::CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::ServerRequestInfo::add_reply_service_context | ( | in IOP::ServiceContext | service_context,
|  | in boolean | replace
| ) |

virtual ::CORBA::Policy_ptr PortableInterceptor::ServerRequestInfo::get_server_policy | ( | ::CORBA::PolicyType | type | ) | throw ( ::CORBA::SystemException )`[pure virtual]`

CORBA::Policy PortableInterceptor::ServerRequestInfo::get_server_policy | ( | in CORBA::PolicyType | type | ) |

CORBA::Boolean PortableInterceptor::ServerRequestInfo::marshal | ( | TAO_OutputCDR & | cdr | ) |

virtual ::PortableInterceptor::ObjectId* PortableInterceptor::ServerRequestInfo::object_id | ( |  | ) | throw ( ::CORBA::SystemException )`[pure virtual]`

| Implemented in TAO::ServerRequestInfo.

void PortableInterceptor::ServerRequestInfo::operator= | ( | const ServerRequestInfo & |  | ) | `[private]`

virtual char* PortableInterceptor::ServerRequestInfo::orb_id | ( |  | ) | throw ( ::CORBA::SystemException )`[pure virtual]`

| Implemented in TAO::ServerRequestInfo.

virtual ::CORBA::Any* PortableInterceptor::ServerRequestInfo::sending_exception | ( |  | ) | throw ( ::CORBA::SystemException )`[pure virtual]`

| Implemented in TAO::ServerRequestInfo.

virtual char* PortableInterceptor::ServerRequestInfo::server_id | ( |  | ) | throw ( ::CORBA::SystemException )`[pure virtual]`

| Implemented in TAO::ServerRequestInfo.

virtual void PortableInterceptor::ServerRequestInfo::set_slot | ( | ::PortableInterceptor::SlotId | id,
|  | const ::CORBA::Any & | data
| ) | throw ( ::CORBA::SystemException, ::PortableInterceptor::InvalidSlot )`[pure virtual]`

void PortableInterceptor::ServerRequestInfo::set_slot | ( | in SlotId | id,
|  | in any | data
| ) | raises (InvalidSlot)

virtual ::CORBA::Boolean PortableInterceptor::ServerRequestInfo::target_is_a | ( | const char * | id | ) | throw ( ::CORBA::SystemException )`[pure virtual]`

| Implemented in TAO::ServerRequestInfo.

boolean PortableInterceptor::ServerRequestInfo::target_is_a | ( | in CORBA::RepositoryId | id | ) |

virtual char* PortableInterceptor::ServerRequestInfo::target_most_derived_interface | ( |  | ) | throw ( ::CORBA::SystemException )`[pure virtual]`

| Implemented in TAO::ServerRequestInfo.

## Member Data Documentation

readonly attribute CORBA::OctetSeq PortableInterceptor::ServerRequestInfo::adapter_id

readonly attribute AdapterName PortableInterceptor::ServerRequestInfo::adapter_name

readonly attribute ObjectId PortableInterceptor::ServerRequestInfo::object_id

readonly attribute ORBId PortableInterceptor::ServerRequestInfo::orb_id

readonly attribute any PortableInterceptor::ServerRequestInfo::sending_exception

readonly attribute ServerId PortableInterceptor::ServerRequestInfo::server_id

readonly attribute CORBA::RepositoryId PortableInterceptor::ServerRequestInfo::target_most_derived_interface

The documentation for this interface was generated from the following files:

- ServerRequestInfo.pidl
- ServerRequestInfoC.h
- ServerRequestInfoC.cpp